Create a veto for a review

This endpoint creates a veto for the specified review.
A veto flags a review as inappropriate and suggests that the review should be removed or investigated.
Veto objects consist of a comment, a reason and the associated channel name.

Note that whenever this method is called, eTrusted will create a ticket in Trusted Shops' Review Team board containing the veto data for further investigation.

Sample request payload in JSON (Click to view)
{
  "comment": "My veto comment.",
  "reason": "UNTRUTHFUL",
  "vetoReporterEmail": "[email protected]",
  "channelName": "My channel name."
}
Path Params
string
required

The review ID.

Body Params
string
required

The veto comment.
Provide additional information on the review or your veto here.

string
required

The reason for the veto.

This string may only have the following values:

  • UNTRUTHFUL
  • ABUSIVE,
  • VIOLATES_THE_TERMS_OF_USE
  • INAPPROPRIATE_IMAGE
string

The E-Mail address of the veto reporter.

string
deprecated

The name of the channel the review is associated with.

Responses

400

Bad Request

401

Unauthorized

403

Forbidden

404

Not Found

Language
Response
Choose an example:
application/json